Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IReactorUDP``

interface documentation

`class IReactorUDP(Interface): (source)`

Known implementations: `twisted.internet.iocpreactor.reactor.IOCPReactor`, `twisted.internet.posixbase.PosixReactorBase`

View In Hierarchy

UDP socket methods.

Method | `listenUDP` | Connects a given `DatagramProtocol` to the given numeric UDP port.

def listenUDP(port: `int`, protocol: `DatagramProtocol`, interface: `str`, maxPacketSize: `int`) -> `IListeningPort`: (source)

Connects a given `DatagramProtocol` to the given numeric UDP port.

Parameters
port:`int` | A port number on which to listen.
protocol:`DatagramProtocol` | A `DatagramProtocol` instance which will be connected to the given `port`.
interface:`str` | The local IPv4 or IPv6 address to which to bind; defaults to '', ie all IPv4 addresses.
maxPacketSize:`int` | The maximum packet size to accept.
Returns
`IListeningPort` | object which provides `IListeningPort`.